Skip to main content
GET
/
orders
cURL
curl --request GET \
  --url https://api.sellburst.io/v1/orders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sellburst.io/v1/orders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sellburst.io/v1/orders', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "uuid": "6e9ce865-b27d-4ded-9883-0389ea114ca9",
    "customer": 1,
    "gateway": "stripe",
    "status": "pending",
    "paid_at": null,
    "created_at": "2024-01-01T00:00:00"
  }
]
This response has no body data.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Merchant
string<string>

The Store Name you want to select

Query Parameters

Status
string

Possible values: pending, partial, completed, expired, sold_out, confirmation, chargeback, refunded, disputed, cancelled

Gateway
string

Possible values: stripe, paypal, square, hoodpay, mercado_pago, paypal_fnf, coinremitter, oxapay

SortBy
string

Possible values: paid_at, created_at

IsDescending
boolean

Possible values: true, false

Page
integer
PageSize
integer

Possible range values: 1-100

Response

Orders data

uuid
string
Example:

"6e9ce865-b27d-4ded-9883-0389ea114ca9"

customer
integer
Example:

1

gateway
string
Example:

"stripe"

status
string
Example:

"pending"

paid_at
string
Example:

null

created_at
string
Example:

"2024-01-01T00:00:00"